# Uses of Interface
org.apache.zookeeper.server.watch.IDeadWatcherListener

Packages that use IDeadWatcherListener
Package
Description
org.apache.zookeeper.server.watch

## Uses of IDeadWatcherListener in org.apache.zookeeper.server.watch

Classes in org.apache.zookeeper.server.watch that implement IDeadWatcherListener
Modifier and Type
Class
Description
`class`
`WatchManagerOptimized`
Optimized in memory and time complexity, compared to WatchManager, both the memory consumption and time complexity improved a lot, but it cannot efficiently remove the watcher when the session or socket is closed, for majority use case this is not a problem.
Constructors in org.apache.zookeeper.server.watch with parameters of type IDeadWatcherListener
Modifier
Constructor
Description
``
`WatcherCleaner(IDeadWatcherListener listener)`
``
`WatcherCleaner(IDeadWatcherListener listener, int watcherCleanThreshold, int watcherCleanIntervalInSeconds, int watcherCleanThreadsNum, int maxInProcessingDeadWatchers)`